%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}

%global pypi_name stsci.distutils

Name:           python%{pyver}-%{pypi_name}
Version:        0.3.7
Release:        1%{?dist}
Summary:        The fastest markdown parser in pure Python

License:        BSD
URL:            https://pypi.python.org/pypi/stsci.distutils/
Source0:        https://pypi.python.org/packages/source/s/stsci.distutils/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel python%{pyver}-setuptools
Requires:  python%{pyver}-devel python%{pyver}-setuptools python%{pyver}-d2to1

%description
distutils/packaging-related utilities used by some of STScI's packages

%prep
%setup -qn %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc LICENSE.txt README.txt CHANGES.txt
%dir %{python_sitelib}/stsci
%{python_sitelib}/stsci/distutils
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}-%{version}-py?.?-nspkg.pth

%changelog
* Mon Nov 06 2014 Josko Plazonic <plazonic@princeton.edu> - 0.3.7
- initial build
